.\" Copyright (c) 1985, 1991 Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)sqrt.3	6.4 (Berkeley) 5/6/91
.\" $FreeBSD: src/lib/msun/man/sqrt.3,v 1.3.2.1 1999/09/05 11:17:14 peter Exp $
.\"
.Dd May 6, 1991
.Dt SQRT 3
.Os
.Sh NAME
.Nm cbrt ,
.Nm cbrtf ,
.Nm sqrt ,
.Nm sqrtf
.Nd cube root and square root functions
.Sh SYNOPSIS
.Fd #include <math.h>
.Ft double
.Fn cbrt "double x"
.Ft float
.Fn cbrtf "float x"
.Ft double
.Fn sqrt "double x"
.Ft float
.Fn sqrtf "float x"
.Sh DESCRIPTION
The
.Fn cbrt
and the
.Fn cbrtf
functions compute
the cube root of
.Ar x .
.Pp
The
.Fn sqrt
and the
.Fn sqrtf
functions compute the
non-negative square root of x.
.Sh RETURN VALUES
The
.Fn cbrt
and the
.Fn cbrtf
functions return the requested cube root.
The
.Fn sqrt
and the
.Fn sqrtf
functions return the requested square root
unless an error occurs.
On the
.Tn VAX
or
.Tn Tahoe
processor an attempt to take the
.Fn sqrt
of negative
.Fa x
causes an error; in this event,
the global variable
.Va errno
is set to
.Dv EDOM
and a reserved operand fault is generated.
.Sh ERROR (due to Roundoff etc.)
The
.Fn cbrt
function
is accurate to within 0.7
.Em ulps .
.Pp
The
.Fn sqrt
function on a
.Tn VAX
is accurate to within 0.501
.Em ulps .
Sqrt on a machine that conforms to
.Tn IEEE
754 is correctly rounded
in accordance with the rounding mode in force; the error is less than
half an
.Em ulp
in the default mode (round\-to\-nearest).
An
.Em ulp
is one
.Em U Ns nit
in the
.Em L Ns ast
.Em P Ns lace
carried.
.Sh SEE ALSO
.Xr math 3
.Sh STANDARDS
The
.Nm sqrt
function conforms to
.St -ansiC .
.Sh HISTORY
The
.Nm cbrt
function appeared in
.Bx 4.3 .
